Index: /trunk/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/HiveTask.cs
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/HiveTask.cs	(revision 7217)
+++ /trunk/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/HiveTask.cs	(revision 7218)
@@ -360,10 +360,10 @@
       childHiveTasksLock.EnterReadLock();
       try {
-        var jobs = new List<HiveTask>();
-        jobs.Add(this);
+        var tasks = new List<HiveTask>();
+        tasks.Add(this);
         foreach (HiveTask child in this.childHiveTasks) {
-          jobs.AddRange(child.GetAllHiveTasks());
-        }
-        return jobs;
+          tasks.AddRange(child.GetAllHiveTasks());
+        }
+        return tasks;
       }
       finally { childHiveTasksLock.ExitReadLock(); }
@@ -405,13 +405,13 @@
     }
 
-    public void RemoveByTaskId(Guid jobId) {
+    public void RemoveByTaskId(Guid taskId) {
       childHiveTasksLock.EnterWriteLock();
       try {
-        IEnumerable<HiveTask> jobs = childHiveTasks.Where(j => j.Task.Id == jobId).ToList();
-        foreach (HiveTask j in jobs) {
-          this.childHiveTasks.Remove(j);
+        IEnumerable<HiveTask> tasks = childHiveTasks.Where(j => j.Task.Id == taskId).ToList();
+        foreach (HiveTask t in tasks) {
+          this.childHiveTasks.Remove(t);
         }
         foreach (HiveTask child in childHiveTasks) {
-          child.RemoveByTaskId(jobId);
+          child.RemoveByTaskId(taskId);
         }
       }
Index: /trunk/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/OptimizerHiveTask.cs
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/OptimizerHiveTask.cs	(revision 7217)
+++ /trunk/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/OptimizerHiveTask.cs	(revision 7218)
@@ -185,5 +185,5 @@
     ///   add the runs from the optimizerTask to the batchrun and replace the Optimizer
     /// </summary>
-    public override void IntegrateChild(ItemTask task, Guid childJobId) {
+    public override void IntegrateChild(ItemTask task, Guid childTaskId) {
       var optimizerTask = (OptimizerTask)task;
       syncTasksWithOptimizers = false; // don't sync with optimizers during this method
@@ -198,5 +198,5 @@
 
       childHiveTasksLock.EnterReadLock();
-      OptimizerHiveTask child = (OptimizerHiveTask)this.ChildHiveTasks.Single(j => j.Task.Id == childJobId);
+      OptimizerHiveTask child = (OptimizerHiveTask)this.ChildHiveTasks.Single(j => j.Task.Id == childTaskId);
       try {
         if (!optimizerTask.ComputeInParallel) {
@@ -329,9 +329,9 @@
     }
 
-    public OptimizerHiveTask GetChildByOptimizerJob(OptimizerTask optimizerJob) {
+    public OptimizerHiveTask GetChildByOptimizerTask(OptimizerTask optimizerTask) {
       childHiveTasksLock.EnterReadLock();
       try {
         foreach (OptimizerHiveTask child in childHiveTasks) {
-          if (child.ItemTask == optimizerJob)
+          if (child.ItemTask == optimizerTask)
             return child;
         }
Index: /trunk/sources/HeuristicLab.Clients.Hive/3.3/RefreshableJob.cs
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive/3.3/RefreshableJob.cs	(revision 7217)
+++ /trunk/sources/HeuristicLab.Clients.Hive/3.3/RefreshableJob.cs	(revision 7218)
@@ -265,5 +265,5 @@
     private void jobResultPoller_JobResultReceived(object sender, EventArgs<IEnumerable<LightweightTask>> e) {
       foreach (LightweightTask lightweightTask in e.Value) {
-        HiveTask hiveTask = GetHiveJobById(lightweightTask.Id);
+        HiveTask hiveTask = GetHiveTaskById(lightweightTask.Id);
         if (hiveTask != null) {
           // lastJobDataUpdate equals DateTime.MinValue right after it was uploaded. When the first results are polled, this value is updated
@@ -279,5 +279,5 @@
             jobDownloader.DownloadTaskData(hiveTask.Task, (localJob, itemJob) => {
               log.LogMessage(string.Format("Finished downloading task {0}", localJob.Id));
-              HiveTask localHiveTask = GetHiveJobById(localJob.Id);
+              HiveTask localHiveTask = GetHiveTaskById(localJob.Id);
 
               if (itemJob == null) {
@@ -294,5 +294,5 @@
                 } else {
                   if (localJob.ParentTaskId.HasValue) {
-                    HiveTask parentHiveTask = GetHiveJobById(localJob.ParentTaskId.Value);
+                    HiveTask parentHiveTask = GetHiveTaskById(localJob.ParentTaskId.Value);
                     parentHiveTask.IntegrateChild(itemJob, localJob.Id);
                   } else {
@@ -317,7 +317,7 @@
     }
 
-    public HiveTask GetHiveJobById(Guid jobId) {
-      foreach (HiveTask job in this.HiveTasks) {
-        var hj = job.GetHiveTaskByTaskId(jobId);
+    public HiveTask GetHiveTaskById(Guid jobId) {
+      foreach (HiveTask t in this.HiveTasks) {
+        var hj = t.GetHiveTaskByTaskId(jobId);
         if (hj != null)
           return hj;