Index: /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 7220)
+++ /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 7221)
@@ -223,4 +223,5 @@
       if (Content.VisualProperties.TitleFont != null) chart.Titles[0].Font = Content.VisualProperties.TitleFont;
       if (!Content.VisualProperties.TitleColor.IsEmpty) chart.Titles[0].ForeColor = Content.VisualProperties.TitleColor;
+      chart.Titles[0].Text = Content.VisualProperties.Title;
 
       if (Content.VisualProperties.AxisTitleFont != null) area.AxisX.TitleFont = Content.VisualProperties.AxisTitleFont;
Index: /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesControl.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesControl.Designer.cs	(revision 7220)
+++ /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesControl.Designer.cs	(revision 7221)
@@ -78,4 +78,6 @@
       this.axisTabControl = new System.Windows.Forms.TabControl();
       this.mainTabPage = new System.Windows.Forms.TabPage();
+      this.titleTextBox = new System.Windows.Forms.TextBox();
+      this.label15 = new System.Windows.Forms.Label();
       this.axisFontLabel = new System.Windows.Forms.Label();
       this.titleFontLabel = new System.Windows.Forms.Label();
@@ -145,5 +147,5 @@
       this.yAxisPrimaryTitleTextBox.Location = new System.Drawing.Point(63, 23);
       this.yAxisPrimaryTitleTextBox.Name = "yAxisPrimaryTitleTextBox";
-      this.yAxisPrimaryTitleTextBox.Size = new System.Drawing.Size(221, 20);
+      this.yAxisPrimaryTitleTextBox.Size = new System.Drawing.Size(242, 20);
       this.yAxisPrimaryTitleTextBox.TabIndex = 1;
       this.yAxisPrimaryTitleTextBox.Validated += new System.EventHandler(this.yPrimaryTitleTextBox_Validated);
@@ -155,5 +157,5 @@
       this.yAxisSecondaryTitleTextBox.Location = new System.Drawing.Point(63, 23);
       this.yAxisSecondaryTitleTextBox.Name = "yAxisSecondaryTitleTextBox";
-      this.yAxisSecondaryTitleTextBox.Size = new System.Drawing.Size(243, 20);
+      this.yAxisSecondaryTitleTextBox.Size = new System.Drawing.Size(242, 20);
       this.yAxisSecondaryTitleTextBox.TabIndex = 1;
       this.yAxisSecondaryTitleTextBox.Validated += new System.EventHandler(this.ySecondaryTitleTextBox_Validated);
@@ -170,4 +172,6 @@
       // xAxisPrimaryGroupBox
       // 
+      this.xAxisPrimaryGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.xAxisPrimaryGroupBox.Controls.Add(this.label12);
       this.xAxisPrimaryGroupBox.Controls.Add(this.label9);
@@ -186,5 +190,5 @@
       // 
       this.label12.AutoSize = true;
-      this.label12.Location = new System.Drawing.Point(4, 77);
+      this.label12.Location = new System.Drawing.Point(4, 78);
       this.label12.Name = "label12";
       this.label12.Size = new System.Drawing.Size(54, 13);
@@ -207,5 +211,5 @@
       this.xAxisPrimaryTitleTextBox.Location = new System.Drawing.Point(63, 23);
       this.xAxisPrimaryTitleTextBox.Name = "xAxisPrimaryTitleTextBox";
-      this.xAxisPrimaryTitleTextBox.Size = new System.Drawing.Size(221, 20);
+      this.xAxisPrimaryTitleTextBox.Size = new System.Drawing.Size(242, 20);
       this.xAxisPrimaryTitleTextBox.TabIndex = 1;
       this.xAxisPrimaryTitleTextBox.Validated += new System.EventHandler(this.xPrimaryTitleTextBox_Validated);
@@ -222,8 +226,10 @@
       // xAxisPrimaryMaximumPanel
       // 
+      this.xAxisPrimaryMaximumPanel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.xAxisPrimaryMaximumPanel.Controls.Add(this.xAxisPrimaryMaximumFixedTextBox);
       this.xAxisPrimaryMaximumPanel.Controls.Add(this.xAxisPrimaryMaximumFixedRadioButton);
       this.xAxisPrimaryMaximumPanel.Controls.Add(this.xAxisPrimaryMaximumAutoRadioButton);
-      this.xAxisPrimaryMaximumPanel.Location = new System.Drawing.Point(63, 71);
+      this.xAxisPrimaryMaximumPanel.Location = new System.Drawing.Point(63, 72);
       this.xAxisPrimaryMaximumPanel.Name = "xAxisPrimaryMaximumPanel";
       this.xAxisPrimaryMaximumPanel.Size = new System.Drawing.Size(245, 25);
@@ -232,7 +238,9 @@
       // xAxisPrimaryMaximumFixedTextBox
       // 
+      this.xAxisPrimaryMaximumFixedTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.xAxisPrimaryMaximumFixedTextBox.Location = new System.Drawing.Point(126, 2);
       this.xAxisPrimaryMaximumFixedTextBox.Name = "xAxisPrimaryMaximumFixedTextBox";
-      this.xAxisPrimaryMaximumFixedTextBox.Size = new System.Drawing.Size(95, 20);
+      this.xAxisPrimaryMaximumFixedTextBox.Size = new System.Drawing.Size(116, 20);
       this.xAxisPrimaryMaximumFixedTextBox.TabIndex = 2;
       this.xAxisPrimaryMaximumFixedTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.xAxisPrimaryMaximumFixedTextBox_Validating);
@@ -264,4 +272,6 @@
       // xAxisPrimaryMinimumPanel
       // 
+      this.xAxisPrimaryMinimumPanel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.xAxisPrimaryMinimumPanel.Controls.Add(this.xAxisPrimaryMinimumFixedTextBox);
       this.xAxisPrimaryMinimumPanel.Controls.Add(this.xAxisPrimaryMinimumFixedRadioButton);
@@ -274,7 +284,9 @@
       // xAxisPrimaryMinimumFixedTextBox
       // 
+      this.xAxisPrimaryMinimumFixedTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.xAxisPrimaryMinimumFixedTextBox.Location = new System.Drawing.Point(126, 2);
       this.xAxisPrimaryMinimumFixedTextBox.Name = "xAxisPrimaryMinimumFixedTextBox";
-      this.xAxisPrimaryMinimumFixedTextBox.Size = new System.Drawing.Size(95, 20);
+      this.xAxisPrimaryMinimumFixedTextBox.Size = new System.Drawing.Size(116, 20);
       this.xAxisPrimaryMinimumFixedTextBox.TabIndex = 2;
       this.xAxisPrimaryMinimumFixedTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.xAxisPrimaryMinimumFixedTextBox_Validating);
@@ -306,4 +318,6 @@
       // xAxisSecondaryGroupBox
       // 
+      this.xAxisSecondaryGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.xAxisSecondaryGroupBox.Controls.Add(this.label10);
       this.xAxisSecondaryGroupBox.Controls.Add(this.xAxisSecondaryTitleTextBox);
@@ -334,5 +348,5 @@
       this.xAxisSecondaryTitleTextBox.Location = new System.Drawing.Point(63, 23);
       this.xAxisSecondaryTitleTextBox.Name = "xAxisSecondaryTitleTextBox";
-      this.xAxisSecondaryTitleTextBox.Size = new System.Drawing.Size(221, 20);
+      this.xAxisSecondaryTitleTextBox.Size = new System.Drawing.Size(242, 20);
       this.xAxisSecondaryTitleTextBox.TabIndex = 1;
       this.xAxisSecondaryTitleTextBox.Validated += new System.EventHandler(this.xSecondaryTitleTextBox_Validated);
@@ -341,5 +355,5 @@
       // 
       this.label5.AutoSize = true;
-      this.label5.Location = new System.Drawing.Point(4, 77);
+      this.label5.Location = new System.Drawing.Point(4, 78);
       this.label5.Name = "label5";
       this.label5.Size = new System.Drawing.Size(54, 13);
@@ -358,8 +372,10 @@
       // xAxisSecondaryMaximumPanel
       // 
+      this.xAxisSecondaryMaximumPanel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.xAxisSecondaryMaximumPanel.Controls.Add(this.xAxisSecondaryMaximumFixedTextBox);
       this.xAxisSecondaryMaximumPanel.Controls.Add(this.xAxisSecondaryMaximumFixedRadioButton);
       this.xAxisSecondaryMaximumPanel.Controls.Add(this.xAxisSecondaryMaximumAutoRadioButton);
-      this.xAxisSecondaryMaximumPanel.Location = new System.Drawing.Point(63, 71);
+      this.xAxisSecondaryMaximumPanel.Location = new System.Drawing.Point(63, 72);
       this.xAxisSecondaryMaximumPanel.Name = "xAxisSecondaryMaximumPanel";
       this.xAxisSecondaryMaximumPanel.Size = new System.Drawing.Size(245, 25);
@@ -368,7 +384,9 @@
       // xAxisSecondaryMaximumFixedTextBox
       // 
+      this.xAxisSecondaryMaximumFixedTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.xAxisSecondaryMaximumFixedTextBox.Location = new System.Drawing.Point(126, 2);
       this.xAxisSecondaryMaximumFixedTextBox.Name = "xAxisSecondaryMaximumFixedTextBox";
-      this.xAxisSecondaryMaximumFixedTextBox.Size = new System.Drawing.Size(95, 20);
+      this.xAxisSecondaryMaximumFixedTextBox.Size = new System.Drawing.Size(116, 20);
       this.xAxisSecondaryMaximumFixedTextBox.TabIndex = 2;
       this.xAxisSecondaryMaximumFixedTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.xAxisSecondaryMaximumFixedTextBox_Validating);
@@ -400,4 +418,6 @@
       // xAxisSecondaryMinimumPanel
       // 
+      this.xAxisSecondaryMinimumPanel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.xAxisSecondaryMinimumPanel.Controls.Add(this.xAxisSecondaryMinimumFixedTextBox);
       this.xAxisSecondaryMinimumPanel.Controls.Add(this.xAxisSecondaryMinimumFixedRadioButton);
@@ -410,7 +430,9 @@
       // xAxisSecondaryMinimumFixedTextBox
       // 
+      this.xAxisSecondaryMinimumFixedTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.xAxisSecondaryMinimumFixedTextBox.Location = new System.Drawing.Point(126, 2);
       this.xAxisSecondaryMinimumFixedTextBox.Name = "xAxisSecondaryMinimumFixedTextBox";
-      this.xAxisSecondaryMinimumFixedTextBox.Size = new System.Drawing.Size(95, 20);
+      this.xAxisSecondaryMinimumFixedTextBox.Size = new System.Drawing.Size(116, 20);
       this.xAxisSecondaryMinimumFixedTextBox.TabIndex = 2;
       this.xAxisSecondaryMinimumFixedTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.xAxisSecondaryMinimumFixedTextBox_Validating);
@@ -456,4 +478,6 @@
       // mainTabPage
       // 
+      this.mainTabPage.Controls.Add(this.titleTextBox);
+      this.mainTabPage.Controls.Add(this.label15);
       this.mainTabPage.Controls.Add(this.axisFontLabel);
       this.mainTabPage.Controls.Add(this.titleFontLabel);
@@ -469,8 +493,27 @@
       this.mainTabPage.UseVisualStyleBackColor = true;
       // 
+      // titleTextBox
+      // 
+      this.titleTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.titleTextBox.Location = new System.Drawing.Point(72, 5);
+      this.titleTextBox.Name = "titleTextBox";
+      this.titleTextBox.Size = new System.Drawing.Size(253, 20);
+      this.titleTextBox.TabIndex = 4;
+      this.titleTextBox.Validated += new System.EventHandler(this.titleTextBox_Validated);
+      // 
+      // label15
+      // 
+      this.label15.AutoSize = true;
+      this.label15.Location = new System.Drawing.Point(12, 8);
+      this.label15.Name = "label15";
+      this.label15.Size = new System.Drawing.Size(30, 13);
+      this.label15.TabIndex = 3;
+      this.label15.Text = "Title:";
+      // 
       // axisFontLabel
       // 
       this.axisFontLabel.AutoSize = true;
-      this.axisFontLabel.Location = new System.Drawing.Point(101, 44);
+      this.axisFontLabel.Location = new System.Drawing.Point(104, 65);
       this.axisFontLabel.Name = "axisFontLabel";
       this.axisFontLabel.Size = new System.Drawing.Size(13, 13);
@@ -481,5 +524,5 @@
       // 
       this.titleFontLabel.AutoSize = true;
-      this.titleFontLabel.Location = new System.Drawing.Point(101, 15);
+      this.titleFontLabel.Location = new System.Drawing.Point(104, 36);
       this.titleFontLabel.Name = "titleFontLabel";
       this.titleFontLabel.Size = new System.Drawing.Size(13, 13);
@@ -489,5 +532,5 @@
       // axisFontButton
       // 
-      this.axisFontButton.Location = new System.Drawing.Point(69, 39);
+      this.axisFontButton.Location = new System.Drawing.Point(72, 60);
       this.axisFontButton.Name = "axisFontButton";
       this.axisFontButton.Size = new System.Drawing.Size(26, 23);
@@ -500,5 +543,5 @@
       // 
       this.label3.AutoSize = true;
-      this.label3.Location = new System.Drawing.Point(9, 44);
+      this.label3.Location = new System.Drawing.Point(12, 65);
       this.label3.Name = "label3";
       this.label3.Size = new System.Drawing.Size(53, 13);
@@ -508,5 +551,5 @@
       // titleFontButton
       // 
-      this.titleFontButton.Location = new System.Drawing.Point(69, 10);
+      this.titleFontButton.Location = new System.Drawing.Point(72, 31);
       this.titleFontButton.Name = "titleFontButton";
       this.titleFontButton.Size = new System.Drawing.Size(26, 23);
@@ -519,5 +562,5 @@
       // 
       this.label2.AutoSize = true;
-      this.label2.Location = new System.Drawing.Point(9, 15);
+      this.label2.Location = new System.Drawing.Point(12, 36);
       this.label2.Name = "label2";
       this.label2.Size = new System.Drawing.Size(54, 13);
@@ -551,4 +594,6 @@
       // yAxisSecondaryGroupBox
       // 
+      this.yAxisSecondaryGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.yAxisSecondaryGroupBox.Controls.Add(this.yAxisSecondaryTitleTextBox);
       this.yAxisSecondaryGroupBox.Controls.Add(this.label4);
@@ -567,5 +612,5 @@
       // 
       this.label13.AutoSize = true;
-      this.label13.Location = new System.Drawing.Point(4, 77);
+      this.label13.Location = new System.Drawing.Point(4, 78);
       this.label13.Name = "label13";
       this.label13.Size = new System.Drawing.Size(54, 13);
@@ -584,8 +629,10 @@
       // yAxisSecondaryMaximumPanel
       // 
+      this.yAxisSecondaryMaximumPanel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.yAxisSecondaryMaximumPanel.Controls.Add(this.yAxisSecondaryMaximumFixedTextBox);
       this.yAxisSecondaryMaximumPanel.Controls.Add(this.yAxisSecondaryMaximumFixedRadioButton);
       this.yAxisSecondaryMaximumPanel.Controls.Add(this.yAxisSecondaryMaximumAutoRadioButton);
-      this.yAxisSecondaryMaximumPanel.Location = new System.Drawing.Point(63, 71);
+      this.yAxisSecondaryMaximumPanel.Location = new System.Drawing.Point(63, 72);
       this.yAxisSecondaryMaximumPanel.Name = "yAxisSecondaryMaximumPanel";
       this.yAxisSecondaryMaximumPanel.Size = new System.Drawing.Size(245, 25);
@@ -594,7 +641,9 @@
       // yAxisSecondaryMaximumFixedTextBox
       // 
+      this.yAxisSecondaryMaximumFixedTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.yAxisSecondaryMaximumFixedTextBox.Location = new System.Drawing.Point(126, 2);
       this.yAxisSecondaryMaximumFixedTextBox.Name = "yAxisSecondaryMaximumFixedTextBox";
-      this.yAxisSecondaryMaximumFixedTextBox.Size = new System.Drawing.Size(95, 20);
+      this.yAxisSecondaryMaximumFixedTextBox.Size = new System.Drawing.Size(116, 20);
       this.yAxisSecondaryMaximumFixedTextBox.TabIndex = 2;
       this.yAxisSecondaryMaximumFixedTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.yAxisSecondaryMaximumFixedTextBox_Validating);
@@ -626,4 +675,6 @@
       // yAxisSecondaryMinimumPanel
       // 
+      this.yAxisSecondaryMinimumPanel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.yAxisSecondaryMinimumPanel.Controls.Add(this.yAxisSecondaryMinimumFixedTextBox);
       this.yAxisSecondaryMinimumPanel.Controls.Add(this.yAxisSecondaryMinimumFixedRadioButton);
@@ -636,7 +687,9 @@
       // yAxisSecondaryMinimumFixedTextBox
       // 
+      this.yAxisSecondaryMinimumFixedTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.yAxisSecondaryMinimumFixedTextBox.Location = new System.Drawing.Point(126, 2);
       this.yAxisSecondaryMinimumFixedTextBox.Name = "yAxisSecondaryMinimumFixedTextBox";
-      this.yAxisSecondaryMinimumFixedTextBox.Size = new System.Drawing.Size(95, 20);
+      this.yAxisSecondaryMinimumFixedTextBox.Size = new System.Drawing.Size(116, 20);
       this.yAxisSecondaryMinimumFixedTextBox.TabIndex = 2;
       this.yAxisSecondaryMinimumFixedTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.yAxisSecondaryMinimumFixedTextBox_Validating);
@@ -668,4 +721,6 @@
       // yAxisPrimaryGroupBox
       // 
+      this.yAxisPrimaryGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.yAxisPrimaryGroupBox.Controls.Add(this.label7);
       this.yAxisPrimaryGroupBox.Controls.Add(this.yAxisPrimaryTitleTextBox);
@@ -684,5 +739,5 @@
       // 
       this.label7.AutoSize = true;
-      this.label7.Location = new System.Drawing.Point(4, 77);
+      this.label7.Location = new System.Drawing.Point(4, 78);
       this.label7.Name = "label7";
       this.label7.Size = new System.Drawing.Size(54, 13);
@@ -701,8 +756,10 @@
       // yAxisPrimaryMaximumPanel
       // 
+      this.yAxisPrimaryMaximumPanel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.yAxisPrimaryMaximumPanel.Controls.Add(this.yAxisPrimaryMaximumFixedTextBox);
       this.yAxisPrimaryMaximumPanel.Controls.Add(this.yAxisPrimaryMaximumFixedRadioButton);
       this.yAxisPrimaryMaximumPanel.Controls.Add(this.yAxisPrimaryMaximumAutoRadioButton);
-      this.yAxisPrimaryMaximumPanel.Location = new System.Drawing.Point(63, 71);
+      this.yAxisPrimaryMaximumPanel.Location = new System.Drawing.Point(63, 72);
       this.yAxisPrimaryMaximumPanel.Name = "yAxisPrimaryMaximumPanel";
       this.yAxisPrimaryMaximumPanel.Size = new System.Drawing.Size(245, 25);
@@ -711,7 +768,9 @@
       // yAxisPrimaryMaximumFixedTextBox
       // 
+      this.yAxisPrimaryMaximumFixedTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.yAxisPrimaryMaximumFixedTextBox.Location = new System.Drawing.Point(126, 2);
       this.yAxisPrimaryMaximumFixedTextBox.Name = "yAxisPrimaryMaximumFixedTextBox";
-      this.yAxisPrimaryMaximumFixedTextBox.Size = new System.Drawing.Size(95, 20);
+      this.yAxisPrimaryMaximumFixedTextBox.Size = new System.Drawing.Size(116, 20);
       this.yAxisPrimaryMaximumFixedTextBox.TabIndex = 2;
       this.yAxisPrimaryMaximumFixedTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.yAxisPrimaryMaximumFixedTextBox_Validating);
@@ -743,4 +802,6 @@
       // yAxisPrimaryMinimumPanel
       // 
+      this.yAxisPrimaryMinimumPanel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.yAxisPrimaryMinimumPanel.Controls.Add(this.yAxisPrimaryMinimumFixedTextBox);
       this.yAxisPrimaryMinimumPanel.Controls.Add(this.yAxisPrimaryMinimumFixedRadioButton);
@@ -753,7 +814,9 @@
       // yAxisPrimaryMinimumFixedTextBox
       // 
+      this.yAxisPrimaryMinimumFixedTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.yAxisPrimaryMinimumFixedTextBox.Location = new System.Drawing.Point(126, 2);
       this.yAxisPrimaryMinimumFixedTextBox.Name = "yAxisPrimaryMinimumFixedTextBox";
-      this.yAxisPrimaryMinimumFixedTextBox.Size = new System.Drawing.Size(95, 20);
+      this.yAxisPrimaryMinimumFixedTextBox.Size = new System.Drawing.Size(116, 20);
       this.yAxisPrimaryMinimumFixedTextBox.TabIndex = 2;
       this.yAxisPrimaryMinimumFixedTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.yAxisPrimaryMinimumFixedTextBox_Validating);
@@ -900,4 +963,6 @@
     private System.Windows.Forms.Label titleFontLabel;
     private System.Windows.Forms.FontDialog axisFontDialog;
+    private System.Windows.Forms.Label label15;
+    private System.Windows.Forms.TextBox titleTextBox;
   }
 }
Index: /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesControl.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesControl.cs	(revision 7220)
+++ /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesControl.cs	(revision 7221)
@@ -50,4 +50,5 @@
           titleFontLabel.Text = "(  )";
           axisFontLabel.Text = "(  )";
+          titleTextBox.Text = string.Empty;
 
           xAxisPrimaryTitleTextBox.Text = string.Empty;
@@ -83,4 +84,5 @@
           titleFontLabel.Text = "( " + FormatFont(Content.TitleFont) + " )";
           axisFontLabel.Text = "( " + FormatFont(Content.AxisTitleFont) + " )";
+          titleTextBox.Text = Content.Title;
 
           xAxisPrimaryTitleTextBox.Text = Content.XAxisTitle;
@@ -114,5 +116,6 @@
           yAxisSecondaryMaximumFixedTextBox.Text = Content.SecondYAxisMaximumFixedValue.ToString();
         }
-      } finally { SuppressEvents = false; }
+      }
+      finally { SuppressEvents = false; }
       SetEnabledStateOfControls();
     }
@@ -314,5 +317,6 @@
           Content.XAxisMinimumAuto = xAxisPrimaryMinimumAutoRadioButton.Checked;
           if (Content.XAxisMinimumAuto) xAxisPrimaryMinimumFixedTextBox.Text = double.NaN.ToString();
-        } finally { SuppressEvents = false; }
+        }
+        finally { SuppressEvents = false; }
         SetEnabledStateOfControls();
       }
@@ -325,5 +329,6 @@
           Content.XAxisMaximumAuto = xAxisPrimaryMaximumAutoRadioButton.Checked;
           if (Content.XAxisMaximumAuto) xAxisPrimaryMaximumFixedTextBox.Text = double.NaN.ToString();
-        } finally { SuppressEvents = false; }
+        }
+        finally { SuppressEvents = false; }
         SetEnabledStateOfControls();
       }
@@ -336,5 +341,6 @@
           Content.SecondXAxisMinimumAuto = xAxisSecondaryMinimumAutoRadioButton.Checked;
           if (Content.SecondXAxisMinimumAuto) xAxisSecondaryMinimumFixedTextBox.Text = double.NaN.ToString();
-        } finally { SuppressEvents = false; }
+        }
+        finally { SuppressEvents = false; }
         SetEnabledStateOfControls();
       }
@@ -347,5 +353,6 @@
           Content.SecondXAxisMaximumAuto = xAxisSecondaryMaximumAutoRadioButton.Checked;
           if (Content.SecondXAxisMaximumAuto) xAxisSecondaryMaximumFixedTextBox.Text = double.NaN.ToString();
-        } finally { SuppressEvents = false; }
+        }
+        finally { SuppressEvents = false; }
         SetEnabledStateOfControls();
       }
@@ -358,5 +365,6 @@
           Content.YAxisMinimumAuto = yAxisPrimaryMinimumAutoRadioButton.Checked;
           if (Content.YAxisMinimumAuto) yAxisPrimaryMinimumFixedTextBox.Text = double.NaN.ToString();
-        } finally { SuppressEvents = false; }
+        }
+        finally { SuppressEvents = false; }
         SetEnabledStateOfControls();
       }
@@ -369,5 +377,6 @@
           Content.YAxisMaximumAuto = yAxisPrimaryMaximumAutoRadioButton.Checked;
           if (Content.YAxisMaximumAuto) yAxisPrimaryMaximumFixedTextBox.Text = double.NaN.ToString();
-        } finally { SuppressEvents = false; }
+        }
+        finally { SuppressEvents = false; }
         SetEnabledStateOfControls();
       }
@@ -380,5 +389,6 @@
           Content.SecondYAxisMinimumAuto = yAxisSecondaryMinimumAutoRadioButton.Checked;
           if (Content.SecondYAxisMinimumAuto) yAxisSecondaryMinimumFixedTextBox.Text = double.NaN.ToString();
-        } finally { SuppressEvents = false; }
+        }
+        finally { SuppressEvents = false; }
         SetEnabledStateOfControls();
       }
@@ -391,5 +401,6 @@
           Content.SecondYAxisMaximumAuto = yAxisSecondaryMaximumAutoRadioButton.Checked;
           if (Content.SecondYAxisMaximumAuto) yAxisSecondaryMaximumFixedTextBox.Text = double.NaN.ToString();
-        } finally { SuppressEvents = false; }
+        }
+        finally { SuppressEvents = false; }
         SetEnabledStateOfControls();
       }
@@ -415,4 +426,10 @@
       }
     }
+
+    private void titleTextBox_Validated(object sender, System.EventArgs e) {
+      if (!SuppressEvents && Content != null) {
+        Content.Title = titleTextBox.Text;
+      }
+    }
     #endregion
 
Index: /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesDialog.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesDialog.Designer.cs	(revision 7220)
+++ /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesDialog.Designer.cs	(revision 7221)
@@ -185,5 +185,5 @@
       this.chartTabPage.Name = "chartTabPage";
       this.chartTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.chartTabPage.Size = new System.Drawing.Size(453, 348);
+      this.chartTabPage.Size = new System.Drawing.Size(456, 353);
       this.chartTabPage.TabIndex = 1;
       this.chartTabPage.Text = "Chart";
@@ -196,5 +196,5 @@
       this.dataTableVisualPropertiesControl.Location = new System.Drawing.Point(3, 3);
       this.dataTableVisualPropertiesControl.Name = "dataTableVisualPropertiesControl";
-      this.dataTableVisualPropertiesControl.Size = new System.Drawing.Size(447, 342);
+      this.dataTableVisualPropertiesControl.Size = new System.Drawing.Size(186, 68);
       this.dataTableVisualPropertiesControl.TabIndex = 0;
       // 
@@ -209,6 +209,10 @@
       this.Controls.Add(this.cancelButton);
       this.Controls.Add(this.okButton);
+      this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
+      this.MaximizeBox = false;
+      this.MinimizeBox = false;
       this.Name = "DataTableVisualPropertiesDialog";
       this.ShowIcon = false;
+      this.ShowInTaskbar = false;
       this.Text = "Customize Visual Properties";
       this.tabControl.ResumeLayout(false);
Index: /trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs	(revision 7220)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs	(revision 7221)
@@ -95,4 +95,5 @@
       VisualProperties = new DataTableVisualProperties();
       rows = new NamedItemCollection<DataRow>();
+      visualProperties.Title = name;
       this.RegisterRowsEvents();
     }
@@ -101,4 +102,5 @@
       VisualProperties = new DataTableVisualProperties();
       rows = new NamedItemCollection<DataRow>();
+      visualProperties.Title = name;
       this.RegisterRowsEvents();
     }
Index: /trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTableVisualProperties.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTableVisualProperties.cs	(revision 7220)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTableVisualProperties.cs	(revision 7221)
@@ -52,4 +52,14 @@
       }
     }
+    private string title;
+    public string Title {
+      get { return title; }
+      set {
+        if (title != value) {
+          title = value;
+          OnPropertyChanged("Title");
+        }
+      }
+    }
     private Font axisTitleFont;
     public Font AxisTitleFont {
@@ -315,4 +325,9 @@
       get { return titleColor; }
       set { titleColor = value; }
+    }
+    [Storable(Name = "Title")]
+    private string StorableTitle {
+      get { return title; }
+      set { title = value; }
     }
     [Storable(Name = "AxisTitleFont")]
@@ -436,4 +451,5 @@
       if (original.axisTitleFont != null)
         this.axisTitleFont = (Font)original.axisTitleFont.Clone();
+      this.title = original.title;
       this.xAxisTitle = original.xAxisTitle;
       this.yAxisTitle = original.yAxisTitle;
@@ -458,6 +474,7 @@
     }
     public DataTableVisualProperties() {
-      titleColor = Color.Black;
-      axisTitleColor = Color.Black;
+      this.titleColor = Color.Black;
+      this.axisTitleColor = Color.Black;
+      this.title = string.Empty;
       this.xAxisTitle = string.Empty;
       this.yAxisTitle = string.Empty;